function [Events Parameters Stimuli_sets Block_Export Trial_Export  Numtrials]=Demo(Parameters, Stimuli_sets, Trial, Blocknum, Modeflag, Events,Block_Export,Trial_Export,Demodata)
loadblockspace

 %Define conditions to enable the progressbar
Parameters.Progressbarenabled = 1;
if Parameters.Progressbarenabled == 1;
Parameters.Progressbaritems = 376; %total # of stimuli across all sets
end

if strcmp(Modeflag,'InitializeBlock');
    
    
    %Narration stimuli
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'Stream can present text very easily:';'Change the color, size, and font.';'Present images with ease';
        'Create shapes using Psychtoolbox';'Draw lines on the screen.';'Collect keyboard responses from subjects.';'Please type your name then press enter:';
        'Collect responses using the mouse as well.';'Please click the big red button.';'Bitmap text is preferred for high speed experiments.';
        'Try to identify the Letter amongst the stream of Numbers.';'Now a little faster';'Try to identify two targets.';'Presenting images rapidly gives the illusion of animation.';
        'You can do all this at once.'};
    stimstruct.color = [0,0,0];
    stimstruct.stimsize = 20;
    Parameters.Progressbaritems_done = 0;
    Stimuli_sets(1)= Preparestimuli(Parameters,stimstruct);
    
    %Text
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(1).stimnames);

    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'HELLO';'APPLE';'WHALE';'TREES'};
    stimstruct.color = [0,0,0; 255,0,0; 0,0,255; 0,255,0];
    stimstruct.stimsize = [50, 20, 68, 44];
    stimstruct.font = {'Arial';'Times New Roman';'Comic Sans MS';'Courier'};
    Stimuli_sets(2) = Preparestimuli(Parameters,stimstruct);
    
    %RSVP 1
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(2).stimnames);
    stimstruct = CreateStimStruct('imagefont');
    stimstruct.stimuli = {'A';'B';'C';'D';'E';'F';'G';'H';'I';'J';'K';'L';'M';'N';'O';'P';'Q';'R';'S';'T';'U';'V';'W';'X';'Y';'Z'};
    stimstruct.transparencythreshold = 1;
    stimstruct.stimsize = .20;
    stimstruct.clippingboundary = 2;
    Stimuli_sets(3) = Preparestimuli(Parameters,stimstruct);
    
    %English Bitmaps
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(3).stimnames);
    stimstruct = CreateStimStruct('imagefont');
    stimstruct.stimuli = {'YOU  CAN  ALSO  PRESENT  TEXT  AS  BITMAP  IMAGES';'THIS  ALLOWS  YOU  TO  USE  DIFFERENT  LANGUAGES'};
    stimstruct.transparencythreshold = 1;
    stimstruct.clippingboundary = 20;
    stimstruct.stimsize = .20;
    stimstruct.basename = 'And';
    stimstruct.basename_suffix = '.png';
    Stimuli_sets(4) = Preparestimuli(Parameters,stimstruct);
    
    %Texture Images
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(4).stimnames);
    stimstruct = CreateStimStruct('image');
    stimstruct.stimuli = {'a0006.jpg','a0016.jpg','b3013.jpg','a0018.jpg'};
    stimstruct.stimsize = [1,1,1,.5];
    stimstruct.rotate = [0,0,0,315];
    Stimuli_sets(5) = Preparestimuli(Parameters,stimstruct);
    
    %Shapes
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(5).stimnames);
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'FillRect'};
    stimstruct.xdim = 100;
    stimstruct.ydim = 100;
    stimstruct.color = [255,0,255];
    Stimuli_sets(6) = Preparestimuli(Parameters,stimstruct);
    
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(6).stimnames);
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'FillPoly'};
    stimstruct.pointlist = [Parameters.centerx,   Parameters.centery-50;
        Parameters.centerx-50,Parameters.centery+50;
        Parameters.centerx+50,Parameters.centery+50];
    stimstruct.color = [0,255,255];
    Stimuli_sets(7) = Preparestimuli(Parameters,stimstruct);
    
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(7).stimnames);
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'FillOval'};
    stimstruct.xdim = 100;
    stimstruct.ydim = 100;
    stimstruct.color = [ 255,255,0];
    Stimuli_sets(8) = Preparestimuli(Parameters,stimstruct);
    
    %Lines
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(8).stimnames);
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'DrawLine';'DrawLine';'DrawLine';'DrawLine';'DrawLine'};
    stimstruct.linelength = [300,300,130,130,425];
    stimstruct.linewidth = [6.8,6.8,5,5,6.8];
    stimstruct.lineangle = [0,90,45,135,45];
    stimstruct.color = [0,0,0; 0,0,0; 0,255,0; 0,255,0; 0,0,0];
    Stimuli_sets(9) = Preparestimuli(Parameters,stimstruct);
    
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(9).stimnames);
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'FrameOval'};
    stimstruct.xdim = 90;
    stimstruct.ydim = 90;
    stimstruct.color = [255,0,0];
    Stimuli_sets(10) = Preparestimuli(Parameters,stimstruct);
    
    %button for mouse response
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(10).stimnames);
    stimstruct = CreateStimStruct('shape');
    stimstruct.stimuli = {'FillOval'};
    stimstruct.xdim = 200;
    stimstruct.ydim = 200;
    stimstruct.color = [255,0,0];
    Stimuli_sets(11) = Preparestimuli(Parameters,stimstruct);
    
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(11).stimnames);
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'Click!'};
    stimstruct.color = [0,0,0];
    Stimuli_sets(12) = Preparestimuli(Parameters,stimstruct);
    
    
    %RSVP 2
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(12).stimnames);
    stimstruct = CreateStimStruct('image');
    for i = 1:9
        stimstruct.stimuli{i} = sprintf ('Num_%g.bmp', i);
    end
    stimstruct.transparencythreshold = 1;
    stimstruct.stimsize = 1;
    Stimuli_sets(13) = Preparestimuli(Parameters,stimstruct);
    
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(13).stimnames);
    stimstruct = CreateStimStruct('image');
    stimstruct.stimuli = {'And_7.png';'And_17.png';'And_14.png';'And_23.png'};
    stimstruct.transparencythreshold = 1;
    stimstruct.stimsize = 1;
    Stimuli_sets(14) = Preparestimuli(Parameters,stimstruct);
    
    %gabor 1
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(14).stimnames);
    stimstruct = CreateStimStruct('gabor');
    for i = 1:100
        stimstruct.stimuli{i} = [300 300];
        stimstruct.phase(i) = 30*i;
    end
    Stimuli_sets(15) = Preparestimuli(Parameters,stimstruct);
    
    
    %gabor 2
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(15).stimnames);
    stimstruct = CreateStimStruct('gabor');
    for i = 1:100
        stimstruct.stimuli{i} = [300 300];
        stimstruct.orient_deg(i) = -10*i;
    end
    Stimuli_sets(16) = Preparestimuli(Parameters,stimstruct);
    
    
    %gabor 3
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(16).stimnames);
    stimstruct = CreateStimStruct('gabor');
    for i = 1:99
        stimstruct.stimuli{i} = [300 300];
        stimstruct.norm_freq(i) = 1-(.01*i);
    end
    Stimuli_sets(17) = Preparestimuli(Parameters,stimstruct);
    
    %Finale resized image
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(17).stimnames);
    stimstruct = CreateStimStruct('image');
    stimstruct.stimuli = {'b3013.jpg'};
    stimstruct.stimsize = .15;
    stimstruct.rotate = 0;
    Stimuli_sets(18) = Preparestimuli(Parameters,stimstruct);
    
    
    %Hebrew imagefont
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(18).stimnames);
    stimstruct = CreateStimStruct('imagefont');
    stimstruct.stimuli = {[25 11 26 17 1 32 11 25 8 26 32 7 21 1 32 4 26 18 2 3 32 20 13 21 20 7 11];};
    stimstruct.transparencythreshold = 1;
    stimstruct.clippingboundary = 20;
    stimstruct.stimsize = .40;
    stimstruct.basename = 'Heb';
    stimstruct.basename_suffix = '.bmp';
    Stimuli_sets(19) = Preparestimuli(Parameters,stimstruct);
    
    
    %Replace briefmessage stim
    Parameters.Progressbaritems_done = Parameters.Progressbaritems_done + length( Stimuli_sets(19).stimnames);
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'Let Stream show you what it is capable of doing';'Press any key to begin';'Thank you for watching the Stream Exhibition!!!'};
    stimstruct.stimsize = 20;
    Stimuli_sets(20) = Preparestimuli(Parameters,stimstruct);
    
    % Set the number of trials
    Numtrials = 1;
    
    %present task instructions
    %briefmessage(Parameters,'Let Stream show you what it is capable of doing.','Press any key to begin.','Arial',20,0,0,0);
    
    Parameters.mouse.enabled = 1;
    
elseif strcmp(Modeflag,'InitializeTrial');
    
    %for simplicity, define these shorter variables
    locx = Parameters.centerx;
    locy = Parameters.centery;
    
    %Timing variables
    narr_1_time = .1;
    text_1_time = narr_1_time + 2;
    
    narr_2_time = text_1_time +2;
    text_2_time = narr_2_time + 3;
    
    bitm_1_time = text_2_time +2 + 1;
    bitm_2_time = bitm_1_time + 3 +2;
    bitm_3_time = bitm_2_time + 2;
    
    narr_RSVP1_time = bitm_3_time +3;
    narr_RSVP2_time = narr_RSVP1_time +3;
    RSVP_1_time = narr_RSVP2_time +3;
    narr_RSVP3_time = RSVP_1_time + 3.9;
    RSVP_2_time = narr_RSVP3_time + 3;
    narr_RSVP4_time = RSVP_2_time + 2.6;
    RSVP_3_time = narr_RSVP4_time + 3;
    
    narr_3_time = RSVP_3_time +2.5;
    imag_1_time = narr_3_time  +2;
    
    narr_4_time = imag_1_time +3 +2;
    shap_1_time = narr_4_time +2;
    
    narr_5_time = shap_1_time + 1 +2;
    line_1_time = narr_5_time +2;
    line_2_time = line_1_time +2;
    
    narr_6_time = line_2_time +7.5;
    
    narr_7_time = narr_6_time +3;
    resp_1_time = narr_7_time +.1;
    
    narr_8_time = resp_1_time + .1;
    narr_9_time = narr_8_time;
    mous_1_time = narr_9_time;
    mous_2_time = mous_1_time +.3;
    
    narr_10_time = mous_2_time + .1;
    gabr_1_time = narr_10_time + 4;
    gabr_2_time = gabr_1_time +3.6;
    gabr_3_time = gabr_2_time +3.6;
    
    
    narr_11_time = gabr_3_time +3.6;
    finale_time = narr_11_time +2;
    
  
    
    % Create a responsestruct to collect a keyboard response
    responsestruct1 = CreateResponseStruct;
    
    
    
    responsestruct2 = CreateResponseStruct; %create the responsestruct
    %properties of the response struct
    responsestruct2.x = locx-300;
    responsestruct2.y = locy;
    count = 0;
    for (char = 'a':'z')
        count = count + 1;
        responsestruct2.allowedchars(count) = KbName(char);
    end
    responsestruct2.allowedchars(count+1) = KbName('Space');
    responsestruct2.showinput = 1;
    responsestruct2.uppercase = 1;
    responsestruct2.allowbackspace = 1;
    responsestruct2.waitforenter = 1;
    responsestruct2.maxlength = 20;
    
    %Set the mouse cursor size to 0
    Events = newevent_mouse_cursor(Events,0,locx,locy,0);
    
    
    narr = 1;
    %     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %Begin Events
    %Set the mouse cursor size to 0
    Events = newevent_mouse_cursor(Events,0,locx,locy,0);
    %Text
    Events = newevent_show_stimulus(Events,20,1,locx,locy - 200,narr_1_time-.01,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,20,2,locx,locy - 100,narr_1_time-.01,'screenshot_no','clear_no');
    Events = newevent_keyboard(Events,narr_1_time-.01,responsestruct1);
    Events = newevent_show_stimulus(Events,narr,1,locx,locy - 200,narr_1_time,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,2,1,locx,   locy,      text_1_time,'screenshot_no','clear_no');
    
    %text with color and font altered
    Events = newevent_show_stimulus(Events,narr,2,locx, locy-200,narr_2_time,    'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,2,2,locx,locy-100,    text_2_time,    'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,2,3,locx,locy,        text_2_time+.5, 'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,2,4,locx,locy+100,    text_2_time+1.0,'screenshot_no','clear_no');
    
    %Bitmap events
    Events = newevent_show_stimulus(Events,4,1,locx,locy,bitm_1_time,'screenshot_no','clear_yes');
    
    %Second message
   Events = newevent_show_stimulus(Events,4,2,locx,locy-150,bitm_2_time,'screenshot_no','clear_yes');
    
    %Third message in Hebrew
    Events = newevent_show_stimulus(Events,19,1,locx,locy+150,bitm_3_time,'screenshot_no','clear_no');
    
    
    
    
    %RSVP
    Events = newevent_show_stimulus(Events,narr,10,locx,locy-300,narr_RSVP1_time,'screenshot_no','clear_yes');
    
    Events = newevent_show_stimulus(Events,narr,11,locx,locy-300,narr_RSVP2_time,'screenshot_no','clear_yes');
    
    %First Stream 150msec
    
    for i = 1:25;
        doublecheck = 1;
        stim1(i) = ceil(rand*9);
        %Prevent double numbers in stream
        while doublecheck == 1;
            if i == 1
                doublecheck = 0;
            end
            if i > 1;
                if stim1(i) == stim1(i-1);
                    stim1(i) = ceil(rand*9);
                else
                    doublecheck = 0;
                end
            end
        end
        
        if i == 13;
            stimset = 14;
            stim1(13) = 1;
        else
            stimset = 13;
        end
        
        Events = newevent_show_stimulus(Events,stimset,stim1(i),locx,locy,RSVP_1_time + (.15*i),'screenshot_no','clear_yes');
    end
    
    
    
    
    %Second stream 100 msec
    
    Events = newevent_show_stimulus(Events,narr,12,locx,locy-300,narr_RSVP3_time,'screenshot_no','clear_yes');
    for i = 1:25;
        doublecheck = 1;
        stim2(i) = ceil(rand*9);
        
        while doublecheck == 1;
            if i == 1
                doublecheck = 0;
            end
            if i > 1;
                if stim2(i) == stim2(i-1);
                    stim2(i) = ceil(rand*9);
                else
                    doublecheck = 0;
                end
            end
        end
        
        if i == 13;
            stimset2 = 14;
            stim2(13) = 2;
        else
            stimset2 = 13;
        end
        
        Events = newevent_show_stimulus(Events,stimset2,stim2(i),locx,locy,RSVP_2_time + (.1*i),'screenshot_no','clear_yes');
        
    end
    
    
    
    
    
    
    %Double Stream 100 msec
    
    Events = newevent_show_stimulus(Events,narr,13,locx,locy-300,narr_RSVP4_time,'screenshot_no','clear_yes');
    for i = 1:25;
        doublecheck = 1;
        stim3(i) = ceil(rand*9);
        %Prevent double numbers in stream
        while doublecheck == 1;
            if i == 1
                doublecheck = 0;
            end
            if i > 1;
                if stim3(i) == stim3(i-1);
                    stim3(i) = ceil(rand*9);
                else
                    doublecheck = 0;
                end
            end
        end
        
        if i == 13;
            stimset = 14;
            stim3(13) = 3;
        else
            stimset = 13;
        end
        
        Events = newevent_show_stimulus(Events,stimset,stim3(i),locx -200,locy,RSVP_3_time + (.1*i),'screenshot_no','clear_yes');
    end
    
    for i = 1:25;
        doublecheck = 1;
        stim4(i) = ceil(rand*9);
        
        while doublecheck == 1;
            if i == 1
                doublecheck = 0;
            end
            if i > 1;
                if stim4(i) == stim4(i-1);
                    stim4(i) = ceil(rand*9);
                else
                    doublecheck = 0;
                end
            end
        end
        
        if i == 13;
            stimset2 = 14;
            stim4(13) = 4;
        else
            stimset2 = 13;
        end
        
        Events = newevent_show_stimulus(Events,stimset2,stim4(i),locx + 200,locy,RSVP_3_time + (.1*i),'screenshot_no','clear_no');
        
    end
    
    
    Events = newevent_show_stimulus(Events,narr,12,locx,locy-300,narr_RSVP3_time,'screenshot_no','clear_yes');
    
    %Images
    Events = newevent_show_stimulus(Events,narr,3,locx,locy-300,  narr_3_time,    'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,5,1,   locx,locy,      imag_1_time,    'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,5,2,   locx-300,locy,  imag_1_time+1.5,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,5,3,   locx+300,locy,  imag_1_time+1.5,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,5,4,   locx,locy,      imag_1_time+3,  'screenshot_no','clear_no');
    
    %Shapes
    Events = newevent_show_stimulus(Events,narr,4,locx, locy - 300,narr_4_time,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,6,1,locx-250,locy,shap_1_time,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,7,1,locx,    locy,shap_1_time + .5,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,8,1,locx+250,locy,shap_1_time + 1,'screenshot_no','clear_no');
    
    %Lines
    Events = newevent_show_stimulus(Events,narr,5,locx,locy - 300,narr_5_time,'screenshot_no','clear_yes');
    Events = newevent_show_stimulus(Events,9,2,locx-50,locy,line_1_time,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,2,locx+50,locy,line_1_time +.5,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,1,locx,locy+50,line_1_time +1,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,1,locx,locy-50,line_1_time +1.5,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,9,3,locx,locy,line_2_time,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,4,locx,locy,line_2_time,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,10,1,locx,locy-100,line_2_time +.5,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,9,3,locx-100,locy+100,line_2_time+1,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,4,locx-100,locy+100,line_2_time+1,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,10,1,locx+100,locy-100,line_2_time+1.5,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,9,3,locx-100,locy-100,line_2_time+2,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,4,locx-100,locy-100,line_2_time+2,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,10,1,locx-100,locy,line_2_time+2.5,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,9,3,locx+100,locy+100,line_2_time+3,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,9,4,locx+100,locy+100,line_2_time+3,'screenshot_no','clear_no');
    
    Events = newevent_show_stimulus(Events,9,5,locx,locy,line_2_time +3.5,'screenshot_no','clear_no');
    
    
    %Keyboard response
    Events = newevent_show_stimulus(Events,narr,6,locx,locy-300,narr_6_time,'screenshot_no','clear_yes');
    
    Events = newevent_show_stimulus(Events,narr,7,locx,locy-300,narr_7_time,'screenshot_no','clear_yes');
    
    [Events, evnum] = newevent_keyboard(Events,resp_1_time,responsestruct2);
    evnum = evnum;
    
    %Mouse response
    
    Events = newevent_show_stimulus(Events,narr,8,locx,locy-300,narr_8_time,'screenshot_no','clear_yes');
    
    Events = newevent_show_stimulus(Events,narr,9,locx,locy-200,narr_9_time,'screenshot_no','clear_no');
    
    
    Events = newevent_show_stimulus(Events,11,1,locx,locy,mous_1_time,'screenshot_no','clear_no');
    Events = newevent_show_stimulus(Events,12,1,locx,locy,mous_1_time,'screenshot_no','clear_no');
    
    %mouse appears
    Events = newevent_mouse_cursor(Events,mous_1_time,locx-200,locy,20);
    %Create button
    mouseresponse = CreateResponseStruct;
    mouseresponse.spatialwindows = {[locx,locy,100]};
    mouseresponse.pausetime = 1;
    %response event
    Events = newevent_mouse(Events,mous_1_time,mouseresponse);
    %Make he cursor disappear again
    Events = newevent_mouse_cursor(Events,mous_2_time,locx,locy,0);
    
    
    
    
    %gabor animation
    Events = newevent_show_stimulus(Events,narr,14,locx,locy-300,narr_10_time,'screenshot_no','clear_yes');
    for i = 1:100
        Events = newevent_show_stimulus(Events,15,i,locx - 350,locy,gabr_1_time + (.036*i),'screenshot_no','clear_yes');
    end
    
    for i = 1:100
        Events = newevent_show_stimulus(Events,16,i,locx-350+(6*i),locy,gabr_2_time + (.036*i),'screenshot_no','clear_yes');
    end
    
    for i = 1:99
        Events = newevent_show_stimulus(Events,17,i,locx + 350,locy,gabr_3_time + (.036*i),'screenshot_no','clear_yes');
    end
    
    
    
    %Finale
    Events = newevent_show_stimulus(Events,narr,15,locx,locy-300,narr_11_time,'screenshot_no','clear_yes');
    
    for i = 1:26;
        doublecheck = 1;
        stim5(i) = ceil(rand*9);
        while doublecheck == 1;
            if i == 1
                doublecheck = 0;
            end
            if i > 1;
                if stim5(i) == stim5(i-1);
                    stim5(i) = ceil(rand*9);
                else
                    doublecheck = 0;
                end
            end
        end
        if i == 13;
            stimset5 = 14;
            stim5(13) = ceil(rand*4);
        else
            stimset5 = 13;
        end
        
        if i ==1
            Events = newevent_show_stimulus(Events,stimset5,stim5(i),locx,locy,finale_time,'screenshot_no','clear_yes');
            Events = newevent_show_stimulus(Events,stimset5,stim5(i),locx,locy,finale_time + .036,'screenshot_no','clear_yes');
            Events = newevent_show_stimulus(Events,stimset5,stim5(i),locx,locy,finale_time + .072,'screenshot_no','clear_yes');
        else
            Events = newevent_show_stimulus(Events,stimset5,stim5(i),locx,locy,finale_time + (.108*i),'screenshot_no','clear_yes');
            Events = newevent_show_stimulus(Events,stimset5,stim5(i),locx,locy,finale_time + .036 +(.108*i),'screenshot_no','clear_yes');
            Events = newevent_show_stimulus(Events,stimset5,stim5(i),locx,locy,finale_time + .072 +(.108*i),'screenshot_no','clear_yes');
        end
    end
    
    for i = 18:99
        Events = newevent_show_stimulus(Events,15,i,locx-350,locy,finale_time -.036+(.036*(i-17)),'screenshot_no','clear_no');
        Events = newevent_show_stimulus(Events,17,i,locx+350,locy,finale_time -.036+(.036*(i-17)),'screenshot_no','clear_no');
    end
    
    
    for i = 1:26
        if i ==1
            Events = newevent_show_stimulus(Events,3,i,locx-646 + (46*i),locy+300,finale_time,'screenshot_no','clear_no');
            Events = newevent_show_stimulus(Events,3,i,locx-646 + (46*i),locy+300,finale_time + .036,'screenshot_no','clear_no');
            Events = newevent_show_stimulus(Events,3,i,locx-646 + (46*i),locy+300,finale_time + .072,'screenshot_no','clear_no');
        else
            Events = newevent_show_stimulus(Events,3,i,locx-646 + (46*i),locy + 300,finale_time + (.108*i),'screenshot_no','clear_no');
            Events = newevent_show_stimulus(Events,3,i,locx-646 + (46*i),locy + 300,finale_time + .036 +(.108*i),'screenshot_no','clear_no');
            Events = newevent_show_stimulus(Events,3,i,locx-646 + (46*i),locy + 300,finale_time + .072 +(.108*i),'screenshot_no','clear_no');
        end
    end
    for i = 1:78
        Events = newevent_show_stimulus(Events,18,1,locx+615-(15*i),locy-300,finale_time -.036+(.036*i),'screenshot_no','clear_no');
    end
    Events = newevent_show_stimulus(Events,20,3,locx,locy,finale_time +3,'screenshot_no','clear_yes');
    
    trial_blanktime = finale_time +6.0;
      %End of the trial
    trial_endtime =trial_blanktime +.1;
    %Blank the trial
    Events = newevent_blank(Events,trial_blanktime);
    %End the trial
    Events = newevent_end_trial(Events,trial_endtime);
    
    
    
    
elseif strcmp(Modeflag,'EndTrial' );
    
  
elseif strcmp(Modeflag,'EndBlock');
    
    %we're done!
   % briefmessage(Parameters,'Thank you for watching the Stream Exhibition.','','Arial',20,0,0,3);
    
else   %something went wrong in runblock (you should never see this error)
    BlockError;
    error(err);
 
end
saveblockspace
end

