function [Events Parameters Stimuli_sets Block_Export Trial_Export  Numtrials]=Demo(Parameters, Stimuli_sets, Trial, Blocknum, Modeflag, Events,Block_Export,Trial_Export,Demodata)
loadblockspace

if strcmp(Modeflag,'InitializeBlock');
    
    
    %Send parallel port markers for beginning of new block
    sendmarkerwpause(Parameters, Parameters.MARKERS.BEGINBLOCK);
    
    
                            %Stimstructs
                            
    stimstruct = CreateStimStruct('text');
    stimstruct.stimuli = {'+';'What letter did you see?';'Identify the letter amongst the stream of numbers.'};
    stimstruct.stimsize = 30;
    Stimuli_sets(1) = Preparestimuli(Parameters,stimstruct);
    
    stimstruct = CreateStimStruct('image');
    for i = 1:9
        stimstruct.stimuli{i} = sprintf ('Num_%d.bmp', i);
    end
    stimstruct.transparencythreshold = 1;
    stimstruct.stimsize = 1;
    Stimuli_sets(2) = Preparestimuli(Parameters,stimstruct);
    
    stimstruct = CreateStimStruct('image');
    stimstruct.stimuli = {'And_1.png';'And_5.png';'And_26.png';'And_17.png'};
    stimstruct.transparencythreshold = 1;
    stimstruct.stimsize = 1.35;
    Stimuli_sets(3) = Preparestimuli(Parameters,stimstruct);
   
    
    anskey = [KbName('A') KbName('E') KbName('Z') KbName('Q')]; 
    
    %Sets the number of trials:
    Numtrials = 4;

    targetorder = randperm(4);
   
    
 

    
elseif strcmp(Modeflag,'InitializeTrial');
    
    
    %Send parallel port signals with trial specifications
    sendmarkerwpause(Parameters, Parameters.MARKERS.BEGINTRIAL);
    sendmarkerwpause(Parameters, Parameters.MARKERS.FIRSTDIGIT_TRIALNUM + Trial);
    
    %For simplicity, this defines the center into shorter names (i.e. locx and locy)
    locx = Parameters.centerx;
    locy = Parameters.centery;
    target = ceil(rand*4) +10;
       
        %Presents instructions
        if Trial == 1
            instruction_time = .2;
            Events = newevent_show_stimulus(Events,1,3,locx,locy - 200,instruction_time,'screenshot_no','clear_yes'); 
            fix_time = instruction_time +3;
        else
            fix_time = .1;
        end
        
     
    SOA = .1;
    RSVP_time = fix_time + 2;
    response_time = RSVP_time + 26*SOA;
    blank_time = response_time + .1;
    end_time = blank_time + .1;
    


                    %Responsestruct
   
    responsestruct = CreateResponseStruct; %Creates the responsestruct
    responsestruct.allowedchars = anskey;  %Properties of the responsestruct
    responsestruct.showinput = 1;
    responsestruct.waitforenter = 1;
    responsestruct.x = locx;
    responsestruct.y = locy;
    responsestruct.allowbackspace = 1;
    responsestruct.manlength = 1;
    responsestruct.uppercase = 1;
    
    
                    %Events
  
        %Fixation Cross
        Events = newevent_show_stimulus(Events,1,1,locx,locy,fix_time,'screenshot_no','clear_yes');

        %Send a parallel port marker to signify the onset of the fixation
        Events = newevent_ParallelPort_mark(Events,fix_time,Parameters.MARKERS.FIXATION);
        
        %Stream 100ms SOA
        %Checking stimuli to eliminate repeated distractors 
        for i = 1:25;
            doublecheck = 1;
            stim(i) = ceil(rand*9);
            
            %Prevents double numbers in stream
            while doublecheck == 1;
                if i == 1
                    doublecheck = 0;
                end
                if i > 1;
                    if stim(i) == stim(i-1);
                        stim(i) = ceil(rand*9);
                    else
                        doublecheck = 0;
                    end
                end
            end
            
            if i == target;
                stimset = 3;
                stim(target) = targetorder(Trial);
            else
                stimset = 2;
            end
            
            %RSVP Stimuli
            Events = newevent_show_stimulus(Events,stimset,stim(i),locx,locy,RSVP_time + (SOA*i),'screenshot_no','clear_yes');

            %Send out an Parallel port marker for each stimulus presented
            Events = newevent_ParallelPort_mark(Events,RSVP_time + (SOA*i),Parameters.MARKERS.STIMULI);
            
        end
        
        Events = newevent_show_stimulus(Events,1,2,locx,locy - 200,response_time,'screenshot_no','clear_yes');
        [Events, evnum] = newevent_keyboard(Events,response_time,responsestruct);
        Events = newevent_blank(Events,blank_time);

        %Send a parallel port marker to show the end of the experiment        
        Events = newevent_ParallelPort_mark(Events,end_time-.01,Parameters.MARKERS.ENDTRIAL);
        Events = newevent_end_trial(Events,end_time);
    

    
    
elseif strcmp(Modeflag,'EndTrial' );
       
    
                        %Response Data
    
    Trial_Export.response = KbName(Events.response{evnum});
    Trial_Export.target = KbName(anskey(targetorder(Trial)));

    
    %Subsequent Responses
    
    

elseif strcmp(Modeflag,'EndBlock');
    
    
    %You may wish to do some final analysis here before the experiment is over.
    
    
else
    
    %Something went wrong in Runblock (You should never see this error)
        BlockError;
    error(err);
        
end
saveblockspace
end