function stairstruct =  ManageStaircase_pest(stairstruct)

if(stairstruct.hitormiss == 1)
    stairstruct.currenthits = stairstruct.currenthits +1;
    stairstruct.currentmisses = 0;
    stairstruct.hithistory = [stairstruct.hithistory 1];
else
    stairstruct.currenthits = 0;
    stairstruct.currentmisses = stairstruct.currentmisses+1;
    stairstruct.hithistory = [stairstruct.hithistory 0];
end

history_sincechange = stairstruct.hithistory(stairstruct.lastchangeindex:end);

if(length(stairstruct.hithistory) < 10)
    W = .50;
elseif(stairstruct.targetprob < .4)
    W = 1.25;
else
    W = 1;
end


expectedhits = length(history_sincechange) *stairstruct.targetprob;  %E[N(C)];
stairstruct.expectedhitshistory = [stairstruct.expectedhitshistory expectedhits];
previousdoubled = stairstruct.lastdoubled;

if(sum(history_sincechange) >= expectedhits + W)  %too many hits in a row
    %reduce threshold... but how much?
    try   %this trycatch statement is here to catch errors when we're too close to the beginning
        if(stairstruct.changes(end) ==1);  %previous change was an increment
            stairstruct.reversals  =  stairstruct.reversals  + 1;  %this is therefore a reversal
            stairstruct.changesize = ceil(  stairstruct.changesize/2);  %halve the stepsize
            stairstruct.lastdoubled = 0;
            stairstruct.reversallist = [stairstruct.reversallist 1];
            
        elseif(sum(stairstruct.changes((end-1):end)) ==-2 & stairstruct.changes(end-2) ==1)  %3rd step in this direction
            if(previousdoubled)
                stairstruct.lastdoubled = 0;
            else
                stairstruct.lastdoubled = 1;
                stairstruct.changesize = min( stairstruct.changesize*2,stairstruct.maxchange);
            end
            stairstruct.reversallist = [stairstruct.reversallist 0];
            
        elseif(sum(stairstruct.changes(end-2:end)) ==-3)  %4th step in this direction
            stairstruct.changesize = min( stairstruct.changesize*2,stairstruct.maxchange);
            stairstruct.lastdoubled = 1;
            stairstruct.reversallist = [stairstruct.reversallist 0];
            
        end
    catch
        
    end
    
    stairstruct.lastchangeindex = max(1,length(stairstruct.hithistory));
    
    stairstruct.changes = [stairstruct.changes -1];
    stairstruct.val = max(  stairstruct.val -stairstruct.changesize,   stairstruct.val_limit(1));
    
end
if(sum(history_sincechange) <= expectedhits - W)
    %increase
    
    try    %this trycatch statement is here to catch errors when we're too close to the beginning
        if(stairstruct.changes(end) ==-1);
            stairstruct.reversals  =  stairstruct.reversals  + 1;
            stairstruct.reversallist = [stairstruct.reversallist 1];
            stairstruct.changesize = ceil(  stairstruct.changesize/2);
            stairstruct.lastdoubled = 0;
        elseif(sum(stairstruct.changes(end-1:end)) ==2 & stairstruct.changes(end-2) ==-1)  %3rd step in this direction
            if(previousdoubled)
                stairstruct.lastdoubled = 0;
            else
                stairstruct.lastdoubled = 1;
                stairstruct.changesize = min( stairstruct.changesize*2,stairstruct.maxchange);
            end
            stairstruct.reversallist = [stairstruct.reversallist 0];
            
        elseif(sum(stairstruct.changes(end-2:end)) ==3)  %4th step in this direction
            
            stairstruct.changesize = min( stairstruct.changesize*2,stairstruct.maxchange);
            stairstruct.lastdoubled = 1;
            stairstruct.reversallist = [stairstruct.reversallist 0];
            
        end
    catch
        
    end
    stairstruct.lastchangeindex = max(1,length(stairstruct.hithistory));
    
    stairstruct.changes = [stairstruct.changes 1];
    stairstruct.val = min(  stairstruct.val+ stairstruct.changesize,   stairstruct.val_limit(2));
    
end
stairstruct.changesizehistory = [stairstruct.changesizehistory stairstruct.changesize];%history of values

stairstruct.valhistory = [stairstruct.valhistory stairstruct.val];




if(stairstruct.reversals > stairstruct.maxreversals)
    stairstruct.finished = 1;
end