function  outputdata = readlist(filename,position,itemval)

%Written by Brad Wyble
%reads in a csv file



%returns an array of cell arrays containing the lines from each item
%this was originally written to parse eye tracking data, so linecount should
%be understood to refer to list of cells that contain all of the
%information from one line of the file


%position and itemval allow you to filter by lines. 
%it will exclude a given line if the entry in the position-th spot of that
%line is equal to itemval 

%set itemval to -999 to disable this filter


try
    ft = fopen(filename,'r');
catch
    sprintf('Error, %s does not exist',filename)
end
outlist = fscanf( ft ,'%c');
fclose(ft);

a = size(outlist,2);

sprintf('%d,',outlist);

last = 1;
linecount = 0;
line = 0;
itemcount = 0;

numericlist = [47:58 '-' '.'];


for(i=1:a)      % for each character

    if(outlist(i) ==',')
        itemcount = itemcount + 1;
        words{itemcount} = char(outlist(last:i-1));
        last = i+1;
    end


    if((outlist(i) ==10 | outlist(i) ==13)|i ==a )   %end of line!   Add a new record


        if(outlist(i-1) ~=10 & outlist(i-1) ~=13)     %ensure that the previous character is not also a linefeed or carriage return
            itemcount = itemcount + 1;

            if(i ==a)                                   %was this the last line in the file?
                words{itemcount} = char(outlist(last:i));
            else
                words{itemcount} = char(outlist(last:i-1));   %no it wasn't, so use i-1
            end

            last = i + 1;
            try
                if(outlist(i+1) ==10 | outlist(i+1) ==13)   %increment by an extra 1 IF this is a 13/10 terminate line
                    last = last + 1;
                end
            catch
            end


            diagnosticitem = itemval;
            if(linecount > 0 & itemval > -999)     %this helps us to check to see if the items match the filter   (filter is only used if itemval is > -999.
                diagnosticitem = eval(words{position});  %convert this item into a number
            end


            if(diagnosticitem ==itemval)     %if the item value in this position matches the filter, include this trial!  (or if the filter is deactivated)
                linecount = linecount + 1;

                for(k = 1:itemcount)   %for each item in this line
                    outputdata(linecount).row{k} = words{k};   

                    if(length(outputdata(linecount).row{k}) > 0)   % convert numeric items in our list into numbers, otherwise leave them as strings
                        numerics = 0;
                        thisword =  outputdata(linecount).row{k};
                        for(chars = 1: length(thisword))
                            thisword(chars);
                            numerics = numerics + max(thisword(chars) == numericlist);
                        end

%                         if( numerics == length(outputdata(linecount).row{k}))  %only do the eval if EVERY CHARACTER in this string comes from the numeric list
%                              try
%                                 outputdata(linecount).row{k} = eval(outputdata(linecount).row{k});
%                             catch
%                                 %do nothing because we couldn't evaluate this to a
%                                 %legal number... leave the item as a string
%                             end
% 
%                         end
                    end
                end

            end
            i = i + 1;          %increment the number of lines in our file
            itemcount = 0;      % and reset back to zero items

        end
    end
end





